Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620235 - windows do not refresh right
windows do not refresh right
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 13:08 EDT by Need Real Name
Modified: 2018-04-11 06:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 14:47:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log is attached (449.04 KB, text/plain)
2010-08-01 13:09 EDT, Need Real Name
no flags Details
An example of screenshot with messed window (187.17 KB, image/png)
2010-08-01 16:06 EDT, Need Real Name
no flags Details
log file with NoAccel (256.19 KB, text/plain)
2010-08-18 18:29 EDT, Need Real Name
no flags Details
xorg.cong (4.76 KB, text/plain)
2010-08-19 02:51 EDT, Need Real Name
no flags Details
dmesg (90.51 KB, text/plain)
2010-08-19 02:52 EDT, Need Real Name
no flags Details
xorg log & config (71.65 KB, application/x-zip-compressed)
2011-11-10 12:15 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2010-08-01 13:08:49 EDT
In xorg-x11-drv-ati-6.13.0-1.fc13.x86_64 
/usr/lib64/xorg/modules/drivers/radeon_drv.so
on 
VGA compatible controller: ATI Technologies Inc Radeon HD 3300 Graphics

many windows (for example firefox, emacs, other) after some move/content change
do not refresh righ. For example emacs shows some lines wrong.
If I minimize/maximize the window it (in most cases) starts showing the right content. Extremely annoying.
Comment 1 Need Real Name 2010-08-01 13:09:53 EDT
Created attachment 435891 [details]
Xorg.0.log is attached
Comment 2 Need Real Name 2010-08-01 13:12:05 EDT
There was no such problem in Fedora 11
Comment 3 Need Real Name 2010-08-01 16:06:43 EDT
Created attachment 435912 [details]
An example of screenshot with messed window
Comment 4 Need Real Name 2010-08-02 17:42:23 EDT
The problem most often occur when scrolling using a mouse wheel.
Sometimes text gets about half line off.
Comment 5 Need Real Name 2010-08-18 18:28:08 EDT
Looks like the option 
Option     "NoAccel"
in xorg.conf
fixed the problem.
It became so much better now.
When I see incorrect text in emacs it is horrible.
Comment 6 Need Real Name 2010-08-18 18:29:55 EDT
Created attachment 439526 [details]
log file with NoAccel
Comment 7 Need Real Name 2010-08-18 18:31:23 EDT
X may be a little bit slow now, but the correctness is way more important than speed.
Comment 8 Matěj Cepl 2010-08-18 22:37:42 EDT
(In reply to comment #5)
> Looks like the option 
> Option     "NoAccel"
> in xorg.conf
> fixed the problem.
> It became so much better now.
> When I see incorrect text in emacs it is horrible.

That would indicate some problems in the kernel modesetting. Please add drm.debug=0x04 to the kernel command line, restart computer, wait until computer misbehaves, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Need Real Name 2010-08-19 02:50:50 EDT
I do have option nomodeset added to kernel command line for a long time,
linux with modesetting enabled never worked right for me for over 2 years.
It either does not work at all,
(for example with current Fedora 13 I never was able properly switch between two video output of the videocard, on another computer (laptop) it makes X unstable in F10, F11). I think it is horrible decision to enable modesetting in Fedora by default. It should never be used.
Comment 10 Need Real Name 2010-08-19 02:51:31 EDT
Created attachment 439591 [details]
xorg.cong
Comment 11 Need Real Name 2010-08-19 02:52:41 EDT
Created attachment 439592 [details]
dmesg
Comment 12 Need Real Name 2010-08-19 02:58:10 EDT
and  /var/log/messages does not have any xorg related info, all info is in Xorg.0.log I already attached
Comment 13 Need Real Name 2010-08-19 03:19:55 EDT
By the way since F10 no single ATI videocard got Fedora installed right.
For example (ASUS M3A78-T, M4A78E and other motherboards).
After the installation (which passes) the screen is either blank, or X server does not start. etc. All of them required manually disabling modesettings and other tweaks(like choosing which ati driver to use) with Xorg. 
And this stupid "pretty boot image" hides errors when X cannot start.

This was never a problem in older Fedora versions. I just do not get the point of modesetting - just to show a "pretty boot image" - this is worthless.
Comment 14 Need Real Name 2010-09-09 16:19:58 EDT
By the way. The problem still persists (not refreshing) even with acceleration disabled. But this happens much more seldom.


I switched the drived to radeonhd
xorg-x11-drv-radeonhd-1.3.0-5.4.20100210git.fc13
this seems cured the problem.

As far as I remember the reason why all installations of Fedora did not work right 
after the installation was their usage of default driver (radeon).
After I 
1. turned modesetting OFF in /etc/grub.conf (added "nomodeset" option to kernel)
2. edited /etc/X11/xorg.conf
Section "Device"
 Driver "radeonhd"
 .....
EndSection

everything started working right. 
This is a shame that Fedora default setup never worked right for
Radeon HD 3300 Graphics
and similar chipsets.
Comment 15 Need Real Name 2010-09-09 16:23:13 EDT
I meant (not refreshing) even with acceleration disabled did happen to radeon driver.


radeonhd driver has no problem in F11,F12,F13,F14
Comment 16 Need Real Name 2010-09-09 16:49:59 EDT
radeonhd also has refreshing problem, and this happen seldomly.

The good thing - it is easy to reproduce with radeonhd in Gnome:

1. Open firefox window, make it large enough, then go to some long web page, so you can scroll.
2. Open a terminal window, bring it in front of firefox,
   so it partially cover the long web page.
3. Move the mouse to firefox window, but do not click, the terminal window should be active and located in front firefox.
4. Using a mouse wheel scroll firefox, while keeping terminal window 
   active (in front of firefoix) and partially covering firefox window.
5. When you scroll up - you would see part of firefox window, coming out of the area covered by terminal not refreshed and filled with random pixels, scrolling down is OK.
Comment 17 Need Real Name 2010-09-10 17:40:57 EDT
radeon drivers are a mess
on a different computer (x86, Radeon HD 3450, AGP)
when modesetting is disabled - both radeon & radeonhd do not work, print 
[drm] wait idle failed status radeon to console
and lock the X server.
with modesetting enabled - everything work OK. Also no refresh problem here, but this is a different computer.


on x64 with Radeon HD 3300 without modesetting - both (radeon & radeonhd) more or less work,
but have a problem with refreshing the screen,
hadeonhd is less problematic.

with modestting enabled - during boot the image disappear when 
modeset is started, if monitor is plugged to DVI or HDMI output.
VGA is OK, no referesh problem but resolution is only 1024x768

Then when X is started radeonhd produces output to HDMI output (with similar refresh screen problem), 
radeon does not output anything to DVI or HDMI.
Comment 18 Frederic Descamps 2011-01-04 03:53:09 EST
Same problem here with nvidia binary drivers

This issue appeared since 2 weeks :(
Comment 19 Bug Zapper 2011-06-01 08:19:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-29 08:40:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Need Real Name 2011-10-07 09:58:53 EDT
The problem still exists in F15
Section "Device"
        Identifier "Videocard0"
        Driver "radeon"
EndSection
Comment 22 Need Real Name 2011-10-07 10:00:08 EDT
grub.conf: 
title Fedora (2.6.40.6-0.fc15.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.40.6-0.fc15.x86_64 ro root=UUID=89be489d-85de-42ba-b932-0a12e0aba9d0 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nomodeset nomodeset
	initrd /initramfs-2.6.40.6-0.fc15.x86_64.img
Comment 23 Matěj Cepl 2011-10-07 20:19:50 EDT
Please file a new bug for you problem. Add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 24 Need Real Name 2011-11-10 12:15:24 EST
Created attachment 532885 [details]
xorg log & config

xorg logs & config attached.
grub command line:
kernel /vmlinuz-2.6.40.6-0.fc15.x86_64 ro root=UUID=89be489d-85de-42ba-b932-0a12e0aba9d0 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us nomodeset nomodeset
added  drm.debug=0x04
Comment 25 Adam Jackson 2011-11-11 14:47:22 EST
UMS is not supported for radeon.

Note You need to log in before you can comment on or make changes to this bug.